Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class ServiceResource

    java.lang.Object
      net.hyperic.hq.product.ServiceResource

public class ServiceResource
extends java.lang.Object

Field Summary
`static java.lang.String` | `SERVER_NAME_PREFIX` Special token when used in the service name will be replaced with the service's parent server name.

Constructor Summary
`ServiceResource()`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`void` | `setControlConfig()`
`void` | `setControlConfig(ConfigResponse config)`
`void` | `setCustomProperties(ConfigResponse config)`
`void` | `setDescription(java.lang.String description)`
`void` | `setMeasurementConfig()`
`void` | `setMeasurementConfig(ConfigResponse config)`
`void` | `setName(java.lang.String name)` In most cases, setServiceName should be used to include the parent server name for uniqueness.
`void` | `setProductConfig()`
`void` | `setProductConfig(ConfigResponse config)`
`void` | `setResponseTimeConfig(ConfigResponse config)`
`void` | `setServiceName(java.lang.String name)` Set the name of the service, prepending the parent server name using SERVER_NAME_PREFIX.
`void` | `setType(GenericPlugin plugin, java.lang.String type)`
`void` | `setType(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVER_NAME_PREFIX

    public static final java.lang.String SERVER_NAME_PREFIX

  Special token when used in the service name will be replaced with the service's parent server name.

  See Also:
    Constant Field Values

Constructor Detail

### ServiceResource

    public ServiceResource()

Method Detail

### setServiceName

    public void setServiceName(java.lang.String name)

  Set the name of the service, prepending the parent server name using SERVER_NAME_PREFIX.

  Parameters:
    `name` - Service name, must be unique to the parent server.

### setType

    public void setType(GenericPlugin plugin,
                        java.lang.String type)

### setType

    public void setType(java.lang.String name)

### getType

    public java.lang.String getType()

### setName

    public void setName(java.lang.String name)

  In most cases, setServiceName should be used to include the parent server name for uniqueness.

### getName

    public java.lang.String getName()

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### setProductConfig

    public void setProductConfig(ConfigResponse config)

### setMeasurementConfig

    public void setMeasurementConfig(ConfigResponse config)

### setControlConfig

    public void setControlConfig(ConfigResponse config)

### setResponseTimeConfig

    public void setResponseTimeConfig(ConfigResponse config)

### setProductConfig

    public void setProductConfig()

### setMeasurementConfig

    public void setMeasurementConfig()

### setControlConfig

    public void setControlConfig()

### setCustomProperties

    public void setCustomProperties(ConfigResponse config)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.